Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drop
Class DropTargetEvent

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.dnd.drop.DropTargetEvent

All Implemented Interfaces:
  IDropTargetEvent

public final class DropTargetEvent
extends java.lang.Object
implements IDropTargetEvent

Concrete implementation of `IDropTargetEvent`

Constructor Summary
`protected` `DropTargetEvent()` Constructor for DropTargetEvent.

Method Summary
`TransferData` `getCurrentDataType()` The type of data that will be dropped.
`int` `getCurrentOperation()` The operation being performed.
`TransferData[]` `getDataTypes()` A list of the types of data that the DragSource is capable of providing.
`int` `getOperations()` A bitwise OR'ing of the operations that the DragSource can support (e.g.
`protected void` `setEvent(DropTargetEvent anEvent)` Set the event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropTargetEvent

    protected DropTargetEvent()

  Constructor for DropTargetEvent.

Method Detail

### getCurrentDataType

    public TransferData getCurrentDataType()

  Description copied from interface: `IDropTargetEvent`
  The type of data that will be dropped.

  Specified by:
    `getCurrentDataType` in interface `IDropTargetEvent`
  Returns:
    TransferData representation of the data that will be dropped

### getCurrentOperation

    public int getCurrentOperation()

  Description copied from interface: `IDropTargetEvent`
  The operation being performed.

  Specified by:
    `getCurrentOperation` in interface `IDropTargetEvent`
  Returns:
    int constant of operation being performed
  See Also:
    `DND.DROP_NONE`, `DND.DROP_MOVE`, `DND.DROP_COPY`, `DND.DROP_LINK`

### getDataTypes

    public TransferData[] getDataTypes()

  Description copied from interface: `IDropTargetEvent`
  A list of the types of data that the DragSource is capable of providing. The currentDataType must be a member of this list.

  Specified by:
    `getDataTypes` in interface `IDropTargetEvent`
  Returns:
    TransferData[] array of the types of data that the DragSource is capable of providing.

### getOperations

    public int getOperations()

  Description copied from interface: `IDropTargetEvent`
  A bitwise OR'ing of the operations that the DragSource can support (e.g. DND.DROP_MOVE | DND.DROP_COPY | DND.DROP_LINK). The detail value must be a member of this list or DND.DROP_NONE.

  Specified by:
    `getOperations` in interface `IDropTargetEvent`
  Returns:
    int of bitwise or of supported operations
  See Also:
    `DND.DROP_NONE`, `DND.DROP_MOVE`, `DND.DROP_COPY`, `DND.DROP_LINK`

### setEvent

    protected void setEvent(DropTargetEvent anEvent)

  Set the event

  Parameters:
    `anEvent` - the event

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.